/*-
 * Copyright 2007 Jason Harmening
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

#ifndef __CX88_VIDEO_IOCTL_H__
#define __CX88_VIDEO_IOCTL_H__

typedef struct
{
   #define CX88_VIDEO_FMT_AUTO         0
   #define CX88_VIDEO_FMT_NTSCM        1
   #define CX88_VIDEO_FMT_NTSCJ        2
   #define CX88_VIDEO_FMT_NTSC443      3
   #define CX88_VIDEO_FMT_PALBDGHI     4
   #define CX88_VIDEO_FMT_PALM         5
   #define CX88_VIDEO_FMT_PALN         6
   #define CX88_VIDEO_FMT_PALNC        7
   #define CX88_VIDEO_FMT_PAL60        8
   #define CX88_VIDEO_FMT_SECAM        9
   uint8_t in_video_format;
   
} cx88_video_config;

typedef struct
{
   #define CX88_VIDEO_INPUT_COAX    0
   #define CX88_VIDEO_INPUT_SVIDEO  1
   uint8_t in_input;
   
   uint8_t in_pixel_format;
   
} cx88_video_capture;

#endif
